According to the README-FIPS.txt file (/usr/share/doc/packages/openssl/README-FIPS.txt) the openssl package includes libopenssl0_9_8-hmac. I've found reference to this being a separate RPM, but I'm unable to find it in the repositories.

According to the recently released security policy (http://csrc.nist.gov/groups/STM/cmvp.../140sp1930.pdf), the FIPS packages are:

libopenssl0_9_8-hmac-0.9.8j-0.44.1.x86_64.rpm
libopenssl0_9_8 0.9.8j-0.44.1.x86_64.rpm


The latest RPMs I have installed from the repositories are:
openssl-0.9.8j-0.50.1
libopenssl0_9_8-0.9.8j-0.50.1
libopenssl-devel-0.9.8j-0.50.1


Will the hmac RPM be added to the repositories?

Will it be updated to 0.50?

When I compile our apps & libraries I'd like to link to the FIPS certified module.